petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexComputeIntegralFEM

Form the integral over the domain from the global input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeIntegralFEM(DM dm, Vec X, PetscScalar *integral, void *user)

### Input Parameters

| dm | - The mesh
| X | - Global input vector
| user | - The user context

### Output Parameter

integral -Integral for each field

### See Also

DMPlexComputeResidualFEM()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c

### Examples

src/snes/examples/tutorials/ex62.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages